OdgGenerator Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
OdgGenerator Class Reference

A generator for vector drawings. More...

`#include <OdgGenerator.hxx>`

Inheritance diagram for OdgGenerator:

## Public Member Functions
| OdgGenerator ()
| ~OdgGenerator ()
void | addDocumentHandler (OdfDocumentHandler *pHandler, const OdfStreamType streamType)
librevenge::RVNGStringVector | getObjectNames () const
bool | getObjectContent (librevenge::RVNGString const &objectName, OdfDocumentHandler *pHandler)
void | setDocumentMetaData (const librevenge::RVNGPropertyList &)
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &propList)
void | startPage (const librevenge::RVNGPropertyList &)
void | endPage ()
void | startMasterPage (const librevenge::RVNGPropertyList &)
void | endMasterPage ()
void | startLayer (const ::librevenge::RVNGPropertyList &propList)
void | endLayer ()
void | openGroup (const ::librevenge::RVNGPropertyList &propList)
void | closeGroup ()
void | startEmbeddedGraphics (const ::librevenge::RVNGPropertyList &propList)
void | endEmbeddedGraphics ()
void | setStyle (const ::librevenge::RVNGPropertyList &propList)
void | drawRectangle (const ::librevenge::RVNGPropertyList &propList)
void | drawEllipse (const ::librevenge::RVNGPropertyList &propList)
void | drawPolyline (const ::librevenge::RVNGPropertyList &propList)
void | drawPolygon (const ::librevenge::RVNGPropertyList &propList)
void | drawPath (const ::librevenge::RVNGPropertyList &propList)
void | drawGraphicObject (const ::librevenge::RVNGPropertyList &propList)
void | drawConnector (const ::librevenge::RVNGPropertyList &propList)
void | startTableObject (const ::librevenge::RVNGPropertyList &propList)
void | openTableRow (const ::librevenge::RVNGPropertyList &propList)
void | closeTableRow ()
void | openTableCell (const ::librevenge::RVNGPropertyList &propList)
void | closeTableCell ()
void | insertCoveredTableCell (const ::librevenge::RVNGPropertyList &propList)
void | endTableObject ()
void | startTextObject (const ::librevenge::RVNGPropertyList &propList)
void | endTextObject ()
void | defineParagraphStyle (const librevenge::RVNGPropertyList &propList)
void | openParagraph (const librevenge::RVNGPropertyList &propList)
void | closeParagraph ()
void | defineCharacterStyle (const librevenge::RVNGPropertyList &propList)
void | openSpan (const librevenge::RVNGPropertyList &propList)
void | closeSpan ()
void | openLink (const librevenge::RVNGPropertyList &propList)
void | closeLink ()
void | insertText (const librevenge::RVNGString &text)
void | insertTab ()
void | insertSpace ()
void | insertLineBreak ()
void | insertField (const librevenge::RVNGPropertyList &propList)
void | openOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | closeOrderedListLevel ()
void | closeUnorderedListLevel ()
void | openListElement (const librevenge::RVNGPropertyList &propList)
void | closeListElement ()
void | startDocument (const librevenge::RVNGPropertyList &)
void | endDocument ()
void | registerEmbeddedImageHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedImage imageHandler)
| Registers a handler for embedded images. More...
void | registerEmbeddedObjectHandler (const librevenge::RVNGString &mimeType, OdfEmbeddedObject objectHandler)
| Registers a handler for embedded objects. More...
void | initStateWith (OdfGenerator const &orig)
| retrieve data from another odfgenerator ( the list and the embedded handler) More...

## Private Member Functions
| OdgGenerator (OdgGenerator const &)
OdgGenerator & | operator= (OdgGenerator const &)

## Private Attributes
OdgGeneratorPrivate * | mpImpl

## Detailed Description

A generator for vector drawings.

See `librevenge` library for documentation of the librevenge::WPGPaintInterface interface.

## Constructor & Destructor Documentation

## ◆ OdgGenerator() [1/2]

OdgGenerator::OdgGenerator | ( |  | ) |

## ◆ ~OdgGenerator()

OdgGenerator::~OdgGenerator | ( |  | ) |

## ◆ OdgGenerator() [2/2]

OdgGenerator::OdgGenerator | ( | OdgGenerator const & |  | ) |
| private

## Member Function Documentation

## ◆ addDocumentHandler()

void OdgGenerator::addDocumentHandler | ( | OdfDocumentHandler * | pHandler,
|  | const OdfStreamType | streamType
| ) |  |

## ◆ closeGroup()

void OdgGenerator::closeGroup | ( |  | ) |

## ◆ closeLink()

void OdgGenerator::closeLink | ( |  | ) |

## ◆ closeListElement()

void OdgGenerator::closeListElement | ( |  | ) |

## ◆ closeOrderedListLevel()

void OdgGenerator::closeOrderedListLevel | ( |  | ) |

## ◆ closeParagraph()

void OdgGenerator::closeParagraph | ( |  | ) |

## ◆ closeSpan()

void OdgGenerator::closeSpan | ( |  | ) |

## ◆ closeTableCell()

void OdgGenerator::closeTableCell | ( |  | ) |

## ◆ closeTableRow()

void OdgGenerator::closeTableRow | ( |  | ) |

## ◆ closeUnorderedListLevel()

void OdgGenerator::closeUnorderedListLevel | ( |  | ) |

## ◆ defineCharacterStyle()

void OdgGenerator::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ defineEmbeddedFont()

void OdgGenerator::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ defineParagraphStyle()

void OdgGenerator::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawConnector()

void OdgGenerator::drawConnector | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawEllipse()

void OdgGenerator::drawEllipse | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawGraphicObject()

void OdgGenerator::drawGraphicObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawPath()

void OdgGenerator::drawPath | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawPolygon()

void OdgGenerator::drawPolygon | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawPolyline()

void OdgGenerator::drawPolyline | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ drawRectangle()

void OdgGenerator::drawRectangle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ endDocument()

void OdgGenerator::endDocument | ( |  | ) |

## ◆ endEmbeddedGraphics()

void OdgGenerator::endEmbeddedGraphics | ( |  | ) |

## ◆ endLayer()

void OdgGenerator::endLayer | ( |  | ) |

## ◆ endMasterPage()

void OdgGenerator::endMasterPage | ( |  | ) |

## ◆ endPage()

void OdgGenerator::endPage | ( |  | ) |

## ◆ endTableObject()

void OdgGenerator::endTableObject | ( |  | ) |

## ◆ endTextObject()

void OdgGenerator::endTextObject | ( |  | ) |

## ◆ getObjectContent()

bool OdgGenerator::getObjectContent | ( | librevenge::RVNGString const & | objectName,
|  | OdfDocumentHandler * | pHandler
| ) |  |

## ◆ getObjectNames()

librevenge::RVNGStringVector OdgGenerator::getObjectNames | ( |  | ) | const

## ◆ initStateWith()

void OdgGenerator::initStateWith | ( | OdfGenerator const & | orig | ) |

retrieve data from another odfgenerator ( the list and the embedded handler)

## ◆ insertCoveredTableCell()

void OdgGenerator::insertCoveredTableCell | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertField()

void OdgGenerator::insertField | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ insertLineBreak()

void OdgGenerator::insertLineBreak | ( |  | ) |

## ◆ insertSpace()

void OdgGenerator::insertSpace | ( |  | ) |

## ◆ insertTab()

void OdgGenerator::insertTab | ( |  | ) |

## ◆ insertText()

void OdgGenerator::insertText | ( | const librevenge::RVNGString & | text | ) |

## ◆ openGroup()

void OdgGenerator::openGroup | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openLink()

void OdgGenerator::openLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openListElement()

void OdgGenerator::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openOrderedListLevel()

void OdgGenerator::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openParagraph()

void OdgGenerator::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openSpan()

void OdgGenerator::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ openTableCell()

void OdgGenerator::openTableCell | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openTableRow()

void OdgGenerator::openTableRow | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ openUnorderedListLevel()

void OdgGenerator::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ operator=()

OdgGenerator& OdgGenerator::operator= | ( | OdgGenerator const & |  | ) |
| private

## ◆ registerEmbeddedImageHandler()

void OdgGenerator::registerEmbeddedImageHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedImage | imageHandler
| ) |  |

Registers a handler for embedded images.

Parameters

  [in] | mimeType | MIME type of the image
  [in] | imageHandler | a function that handles processing of the image's data and generating output

## ◆ registerEmbeddedObjectHandler()

void OdgGenerator::registerEmbeddedObjectHandler | ( | const librevenge::RVNGString & | mimeType,
|  | OdfEmbeddedObject | objectHandler
| ) |  |

Registers a handler for embedded objects.

Parameters

  [in] | mimeType | MIME type of the object
  [in] | objectHandler | a function that handles processing of the object's data and generating output

## ◆ setDocumentMetaData()

void OdgGenerator::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & |  | ) |

## ◆ setStyle()

void OdgGenerator::setStyle | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startDocument()

void OdgGenerator::startDocument | ( | const librevenge::RVNGPropertyList & |  | ) |

## ◆ startEmbeddedGraphics()

void OdgGenerator::startEmbeddedGraphics | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startLayer()

void OdgGenerator::startLayer | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startMasterPage()

void OdgGenerator::startMasterPage | ( | const librevenge::RVNGPropertyList & |  | ) |

## ◆ startPage()

void OdgGenerator::startPage | ( | const librevenge::RVNGPropertyList & |  | ) |

## ◆ startTableObject()

void OdgGenerator::startTableObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## ◆ startTextObject()

void OdgGenerator::startTextObject | ( | const ::librevenge::RVNGPropertyList & | propList | ) |

## Member Data Documentation

## ◆ mpImpl

OdgGeneratorPrivate* OdgGenerator::mpImpl
| private

The documentation for this class was generated from the following file:

- OdgGenerator.hxx